Bug 10816 - nmbd should report its status to systemd if it is waiting for interfaces
nmbd should report its status to systemd if it is waiting for interfaces
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.1.4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-17 07:46 UTC by Andreas Schneider
Modified: 2014-09-27 17:55 UTC (History)
1 user (show)

See Also:


Attachments
v4-1-test patch (3.12 KB, patch)
2014-09-17 13:30 UTC, Andreas Schneider
ab: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-09-17 07:46:20 UTC
nmbd should report its status to systemd if it is waiting for interfaces, e.g. if there are only IPv6 addresses. We should also print a message that IPv6 is not supported by NetBIOS name resolution or we will keep getting bugs about no IPv6 support.
Comment 1 Andreas Schneider 2014-09-17 13:30:30 UTC
Created attachment 10291 [details]
v4-1-test patch
Comment 2 Alexander Bokovoy 2014-09-17 14:47:32 UTC
Comment on attachment 10291 [details]
v4-1-test patch

Looks good!
Comment 3 Jeremy Allison 2014-09-17 16:00:17 UTC
Comment on attachment 10291 [details]
v4-1-test patch

LGTM.
Comment 4 Jeremy Allison 2014-09-17 16:00:47 UTC
Re-assigning to Karolin for inclusion in 4.1.next.
Comment 5 Karolin Seeger 2014-09-18 07:03:59 UTC
Pushed to autobuild-v4-1-test.
Comment 6 Karolin Seeger 2014-09-27 17:55:08 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!